org.openmuc.openiec61850

## Class LogicalNode

- java.lang.Object
- - org.openmuc.openiec61850.ModelNode
  - - org.openmuc.openiec61850.LogicalNode

All Implemented Interfaces:
  java.lang.Iterable<ModelNode>

    public final class LogicalNode
    extends ModelNode

### Field Summary

### Fields inherited from class org.openmuc.openiec61850.ModelNode

`children, objectReference`

### Constructor Summary

Constructors
Constructor and Description
`LogicalNode(ObjectReference objectReference, java.util.List<FcDataObject> fcDataObjects)`

### Method Summary

All Methods Instance Methods Concrete Methods
`LogicalNode` `copy()` Returns a copy of model node with all of its children.
`Brcb` `getBrcb(java.lang.String brcbName)`
`java.util.Collection<Brcb>` `getBrcbs()`
`ModelNode` `getChild(java.lang.String childName, Fc fc)` Returns the child node with the given name and functional constraint.
`java.util.List<FcDataObject>` `getChildren(Fc fc)`
`Urcb` `getUrcb(java.lang.String urcbName)`
`java.util.Collection<Urcb>` `getUrcbs()`
`java.lang.String` `toString()`

### Methods inherited from class org.openmuc.openiec61850.ModelNode

`getBasicDataAttributes, getChild, getChildren, getIterators, getName, getParent, getReference, iterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### LogicalNode

    public LogicalNode(ObjectReference objectReference,
                       java.util.List<FcDataObject> fcDataObjects)

### Method Detail

#### copy

    public LogicalNode copy()

Description copied from class: `ModelNode`
Returns a copy of model node with all of its children. Creates new BasicDataAttribute values but reuses ObjectReferences, FunctionalConstraints.

Specified by:
  `copy` in class `ModelNode`
Returns:
  a copy of model node with all of its children.

#### getChildren

    public java.util.List<FcDataObject> getChildren(Fc fc)

#### getUrcbs

    public java.util.Collection<Urcb> getUrcbs()

#### getUrcb

    public Urcb getUrcb(java.lang.String urcbName)

#### getBrcb

    public Brcb getBrcb(java.lang.String brcbName)

#### getBrcbs

    public java.util.Collection<Brcb> getBrcbs()

#### getChild

    public ModelNode getChild(java.lang.String childName,
                              Fc fc)

Description copied from class: `ModelNode`
Returns the child node with the given name and functional constraint. The fc is ignored if this function is called on any model node other than logical node.

Overrides:
  `getChild` in class `ModelNode`
Parameters:
  `childName` - the name of the requested child node
  `fc` - the functional constraint of the requested child node
Returns:
  the child node with the given name and functional constrain

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `ModelNode`